Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.jts.oracle9i
Class Oracle9iJTSExternalTransactionController

`java.lang.Object
oracle.toplink.jts.AbstractExternalTransactionController
oracle.toplink.jts.JTSExternalTransactionController
oracle.toplink.jts.oracle9i.Oracle9iJTSExternalTransactionController`

All Implemented Interfaces:
  ExternalTransactionController

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `Oc4jTransactionController`

public class Oracle9iJTSExternalTransactionController
extends JTSExternalTransactionController

Purpose: Concrete implementation of an ExternalTransactionController.

Description: This class implements the registration of a synchronization object according to the Oracle 9i implementation

Responsibilities:

- Register a listener to the externally controlled transaction.

See Also:
  `JTSSynchronizationListener`

Field Summary
`static java.lang.String` | `TX_MANAGER_JNDI_NAME` Deprecated.

Constructor Summary
`Oracle9iJTSExternalTransactionController()` Deprecated. PUBLIC: Return a new controller for use with Oracle 9iAS.

Methods inherited from class oracle.toplink.jts.JTSExternalTransactionController
`markTransactionForRollback`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TX_MANAGER_JNDI_NAME

    public static final java.lang.String TX_MANAGER_JNDI_NAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Oracle9iJTSExternalTransactionController

    public Oracle9iJTSExternalTransactionController()

  Deprecated.
  PUBLIC: Return a new controller for use with Oracle 9iAS. This must be associated with the TopLink session.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD